{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
        </div>
    </div>

    <section>
        <div class="inner">
            <div class="head-title">Корзина</div>
            <div class="cart-wrapper">
                {% if carts is empty %}
                    <div class="article-content">
                        <p>Корзина пуста</p>
                    </div>
                {% else %}
                    <form class="form form_cart" action="{{ path('apiCartCalc') }}" method="post">
                        <div class="cart-list">
                            {% for cart in carts %}
                                <div class="cart-item" data-price="{{ cart.product.price }}">
                                    <div class="cart-item__inner">
                                        <div class="cart-item__image">
                                            <a href="{{ path('productsItem', {'slug' : cart.product.slug}) }}">
                                                {% if cart.product.productGallery.count > 0 %}
                                                    <img src="{{ asset('assets/uploads/images/' ~ cart.product.productGallery.get(0).filename|visual) | imagine_filter('medium')}}" alt="{{ cart.product.name }}"/>
                                                {% else %}
                                                    <img src="{{ asset('assets/img/cup-1.svg') }}" alt="{{ cart.product.name }}"/>
                                                {% endif %}
                                            </a>
                                        </div>
                                        <div class="cart-item__info">
                                            <div class="cart-item__category">
                                                <a href="{{ path('catalogItem', {'path' : cart.product.category.id|path}) }}">{{ cart.product.category.name }}</a>
                                            </div>
                                            <div class="cart-item__title"><a href="{{ path('productsItem', {'slug' : cart.product.slug}) }}">{{ cart.product.name }}</a></div>
                                            <div class="cart-item__text">Артикул: {{ cart.product.vendorCode }}</div>
                                        </div>
                                        <div class="cart-item__among">
                                            <div class="cart-item__counter">
                                                <div class="cart-item__counter-handle cart-item__counter-handle_down">-</div>
                                                <input class="cart-item__counter-input" type="number" value="{{ cart.qty }}" name="{{ cart.product.id }}"/>
                                                <div class="cart-item__counter-handle cart-item__counter-handle_up">+</div>
                                            </div>
                                            <div class="cart-item__price">₽ {{ cart.product.price * cart.qty }}</div>
                                        </div>
                                        <div class="cart-item__remove" data-tooltip="Удалить из корзины"></div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                        <div class="cart-bill">
                            <div class="cart-bill__inner">
                                <hr>
                                <div class="cart-bill__title">Детали заказа:</div>
                                <div class="cart-bill__info">
                                    <div class="cart-bill__info-item cart-bill__info-item_goods">
                                        <div class="cart-bill__info-name">Наименований товара:</div>
                                        <div class="cart-bill__info-value">{{ cartPrices.goodsCount }} шт.</div>
                                    </div>
                                    <div class="cart-bill__info-item cart-bill__info-item_items">
                                        <div class="cart-bill__info-name">Количество единиц товара:</div>
                                        <div class="cart-bill__info-value">{{ cartPrices.itemsCount }} шт.</div>
                                    </div>
                                    <div class="cart-bill__info-item cart-bill__info-item_price">
                                        <div class="cart-bill__info-name">Общая стоимость:</div>
                                        <div class="cart-bill__info-value">₽ {{ cartPrices.priceWithoutDiscount }}</div>
                                    </div>
                                    <div class="cart-bill__info-item cart-bill__info-item_discount">
                                        <div class="cart-bill__info-name">Скидка:</div>
                                        <div class="cart-bill__info-value">₽ {{ cartPrices.discount }}</div>
                                    </div>
                                    <div class="cart-bill__info-item cart-bill__info-item_result">
                                        <div class="cart-bill__info-name">Общая стоимость с учетом скидки:</div>
                                        <div class="cart-bill__info-value">₽ {{ cartPrices.priceWithDiscount }}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <form class="form no-ajax" action="{{ path('cartOrder') }}" method="post" data-from-name="confirm-order">
                        <div class="cart-bill">

                            {% if is_granted('IS_AUTHENTICATED_FULLY') or is_granted('IS_AUTHENTICATED_REMEMBERED') %}
                                <div class="cart-bill__inner">
                                    <hr>
                                    <div class="cart-bill__title">Детали доставки:</div>
                                    <div class="cart-bill__info">

                                        <div class="form-item form-item_collection">
                                            <div class="form-field">
                                                <div class="form-input form-input_radio">
                                                    <label>
                                                        <input type="radio" name="delivery" value="1" checked onchange="document.getElementById('address-delivery').style.display = 'block'"/>
                                                        <span>Доставка</span>
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="form-field">
                                                <div class="form-input form-input_radio">
                                                    <label>
                                                        <input type="radio" name="delivery" value="0" onchange="document.getElementById('address-delivery').style.display = 'none'"/>
                                                        <span>Замовывоз</span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-item" id="address-delivery">
                                            <div class="form-title">Адрес доставки</div>
                                            <div class="form-field">
                                                <div class="form-input form-input_textarea">
                                                    <textarea name="address" placeholder="Адрес">{{ app.user.address }}</textarea>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-item">
                                            <div class="form-title">Телефон</div>
                                            <div class="form-field">
                                                <div class="form-input form-input_text">
                                                    <input name="mobile" type="text" placeholder="Номер мобильного телефона" value="{{ app.user.mobile }}" data-mask="+7 999 999-99-99"/>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-item">
                                            <div class="form-title">Комментарий к заказу</div>
                                            <div class="form-field">
                                                <div class="form-input form-input_textarea">
                                                    <textarea name="comment" placeholder="Можете оставить комментарий к заказу"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="cart-bill__inner">
                                    <div class="cart-bill__submit">
                                        <button class="btn fill big">Оформить заказ</button>
                                    </div>
                                </div>
                            {% else %}
                                <div class="cart-bill__inner">
                                    <div class="cart-bill__submit">
                                        Для оформления заказа необходимо
                                        <a href="#" data-popup-open=".popup_login" class="btn fill">Авторизоватся</a>
                                        или
                                        <a href="#" data-popup-open=".popup_register" class="btn fill">Зарегестрироваться</a>
                                    </div>
                                </div>
                            {% endif %}
                        </div>
                    </form>
                {% endif %}
            </div>
        </div>
    </section>
{% endblock %}
